import { Command, Context, Schema } from "koishi";
declare class StarRailCommander {
    private ctx;
    private config;
    static using: string[];
    constructor(ctx: Context, config: StarRailCommander.Config);
    private defineCommand;
    /**
     * @deprecated does not work with `hmr`, you can use `ctx.command('sr.[your command]')`
     */
    subcommand<D extends string>(def: D, config?: Command.Config): Command;
    subcommand<D extends string>(def: D, desc: string, config?: Command.Config): Command;
    /**
     * @deprecated does not work with `hmr`, you can use `ctx.command('sr [your command]')`
     */
    dercommand<D extends string>(def: D, config?: Command.Config): Command;
    dercommand<D extends string>(def: D, desc: string, config?: Command.Config): Command;
}
declare namespace StarRailCommander {
    interface Config {
    }
    const Config: Schema<Config>;
}
export default StarRailCommander;
